JUPYTER-MIGRATE(1)

NAME
jupyter-migrate - Migrate configuration and data from IPython prior to 4.0 to Jupyter locations.

DESCRIPTION
This migrates:

•   config files in the default profile

•   kernels in ~/.ipython/kernels

•   notebook javascript extensions in ~/.ipython/extensions

•   custom.js/css to .jupyter/custom

to their new Jupyter locations.

All files are copied, not moved. If the destinations already exist, nothing will be done.

OPTIONS

Arguments that take values are actually convenience aliases to full Configurables, whose aliases are listed on the help line. For more information on full configurables, see '--help-all'.

--debug

    set log level to logging.DEBUG (maximize logging output)

-y

    Answer yes to any questions instead of prompting.

--generate-config

    generate default config file

--config=<Unicode> (JupyterApp.config_file)

    Default: u'' Full path of a config file.

--log-level=<Enum> (Application.log_level)

    Default: 30 Choices: (0, 10, 20, 30, 40, 50, 'DEBUG', 'INFO', 'WARN', 'ERROR', 'CRITICAL') Set the log level by value or name.

To see all available configurables, use `--help-all`